com.r3corda.node.driver / DriverDSLExposedInterface

# DriverDSLExposedInterface

`interface DriverDSLExposedInterface`

This is the interface thats exposed to DSL users.

### Properties

networkMapCache | `abstract val networkMapCache: NetworkMapCache`

### Functions

startClient | `abstract fun startClient(providedName: String, serverAddress: <ERROR CLASS>): Future<ArtemisMessagingClient>` Starts an ArtemisMessagingClient.
startLocalServer | `abstract fun startLocalServer(): Future<ArtemisMessagingServer>` Starts a local ArtemisMessagingServer of which there may only be one.
startNode | `abstract fun startNode(providedName: String? = null, advertisedServices: Set<ServiceType> = setOf()): Future<NodeInfo>` Starts a Node in a separate process.
waitForAllNodesToFinish | `abstract fun waitForAllNodesToFinish(): Unit`

### Extension Functions

startClient | `fun DriverDSLExposedInterface.startClient(localServer: ArtemisMessagingServer): Future<ArtemisMessagingClient>` `fun DriverDSLExposedInterface.startClient(remoteNodeInfo: NodeInfo, providedName: String? = null): Future<ArtemisMessagingClient>`

### Inheritors

DriverDSLInternalInterface | `interface DriverDSLInternalInterface : DriverDSLExposedInterface`